## grib-api 1.9.0

=== debian/changelog ===
grib-api (1.9.0-2) unstable; urgency=low

  * Enable libpng support. Closes: #593216.
  * Don't use autotools-dev hooks together with dh-autoreconf

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Aug 2010 13:32:12 +0100

grib-api (1.9.0-1) unstable; urgency=low

  * New upstream version. Closes: #581015
  * Added patch to fix samples and definitions install paths
  * Switch to source format 3.0 (quilt)
  * Package definitions together with the shared library like in 1.7.x,
    following upstream
  * Switch to debhelper 7

 -- Enrico Zini <enrico@debian.org>  Tue, 27 Jul 2010 11:37:44 +0100

grib-api (1.8.0-3) unstable; urgency=low

  * Added patch to fix an uninitialised memory access that makes iterator test
    fail. Closes: #570679
  * Updated standards-version (no changes required)

 -- Enrico Zini <enrico@debian.org>  Tue, 09 Mar 2010 14:43:46 +0100

grib-api (1.8.0-2) unstable; urgency=low

  * Install tools/parser as grib_parser
    Note: Fedora renames in the same way.
  * Do not install definitions: depend on libgrib-api-data instead.

 -- Enrico Zini <enrico@debian.org>  Wed, 14 Oct 2009 14:27:55 +0100

grib-api (1.8.0-1) unstable; urgency=low

  * libgrib-api-tools: changed to section utils.
  * New Upstream Version.  Closes: #540801.
  * Ported patches to new upstream version
  * Added Vcs-Git: and Vcs-Browser:

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Aug 2009 12:44:03 +0100

grib-api (1.7.0-3) unstable; urgency=low

  * Limit Architecture: field to only those that work.
  * Updated Standards-Version. No changes needed.

 -- Enrico Zini <enrico@debian.org>  Sat, 04 Jul 2009 16:21:42 +0200

grib-api (1.7.0-2) unstable; urgency=low

  * Point README.source to the version provided by quilt
  * Update debian/copyright to reflect that the perl bindings follow perl's
    license

 -- Enrico Zini <enrico@debian.org>  Sun, 17 May 2009 18:58:01 +0100

grib-api (1.7.0-1) unstable; urgency=low

  * New Upstream Version.  Closes: #519184
  * Ported patches to new upstream version
  * Rebuild the build system in debian/rules
  * debian/rules clean: delete files modified by autotools
  * Added debian-specific release to the library name, so we will not conflict
    with upstream once they will start shipping shared libraries.
  * Updated Standards-Version
     - Renamed libgribapi-bin to libgribapi-tools as suggested by policy
  * Use debhelper 7
  * Added manpages for those commands that have any documentation

 -- Enrico Zini <enrico@debian.org>  Wed, 22 Apr 2009 15:47:53 +0100

grib-api (1.6.4-1) unstable; urgency=low

  * Initial Debian release
  * Patches:
     - amconditional: Use automake conditionals to exclude subdirectories
     - libtool: Create a shared library
     - fortran: Fixes for fortran packaging

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Nov 2008 11:15:52 +0000
