## grib-api 1.9.5

=== debian/changelog ===
grib-api (1.9.5-1build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Sep 2011 11:20:42 +0000

grib-api (1.9.5-1) unstable; urgency=low

  * New upstream version. Closes: #607671.
  * Build on armhf. Closes: #604659.
  * Updated standards-version (no changes required)
  * Updated soname since this release breaks ABI (see #607671)
  * libgrib-api-0d-1 Conflicts with libgrib-api-0d-0 since there is no way to
    make them coinstallable.
    Even splitting GRIB definitions in a separate package would not work,
    because definitions tend to be strongly tied to specific runtime versions,
    and two different definition packages cannot be installed at the same
    time.

 -- Enrico Zini <enrico@debian.org>  Fri, 11 Feb 2011 16:57:43 +0000
