## grib-api 1.9.9

=== debian/changelog ===
grib-api (1.9.9-4~bpo60+1) squeeze-backports; urgency=low

  * Upload to backports.org
  * Lowered configure.ac version requirement

 -- Enrico Zini <enrico@debian.org>  Mon, 05 Dec 2011 21:59:37 +0100

grib-api (1.9.9-3) unstable; urgency=low

  * Build-depend on libjpeg-dev. Closes: #642832
  * padding.sh test only fails when run by a buildd, cannot reproduce
    otherwise or figure out why it fails. Disabling it for now.
    Closes: #642253
  * Removed ksh-isms on grib1to2
  * Removed ksh-ism on tests/second_order.sh

 -- Enrico Zini <enrico@debian.org>  Sun, 02 Oct 2011 09:02:17 +0200

grib-api (1.9.9-2) unstable; urgency=low

  * amconditional.patch: fixed SUBDIRS order so that everything tests need is
    built before tests are run.

 -- Enrico Zini <enrico@debian.org>  Tue, 20 Sep 2011 20:18:04 +0200

grib-api (1.9.9-1) unstable; urgency=low

  * New upstream version. Closes: #620243

 -- Enrico Zini <enrico@debian.org>  Mon, 19 Sep 2011 16:59:34 +0200

grib-api (1.8.0-2~bpo50+1) lenny-backports; urgency=low

  * Upload to backports.org

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Nov 2009 10:51:26 +0000
