=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	dh --with autoreconf $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-png-support
+	# Disable python modules until we figure out how to build them properly
+	dh_auto_configure -- --with-png-support --disable-python
 
 override_dh_auto_install:
 	dh_auto_install --with autoreconf
