## grib-api 1.9.16

=== debian/changelog ===
grib-api (1.9.16-2) unstable; urgency=low

  * Conflicts with libgrib-api-1.9.9. Closes: #668697.

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Apr 2012 11:25:42 +0200

grib-api (1.9.16-1) unstable; urgency=low

  * New upstream version
  * Dropped amconditional patch, no longer needed
  * Build-Depend on libpng-dev instead of libpng12-dev. Closes: #662363.
  * Updated standards-version (no changes required)

 -- Enrico Zini <enrico@debian.org>  Fri, 13 Apr 2012 14:26:20 +0200
