=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: libdevel
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, dh-buildinfo, libjasper-dev, libjpeg-dev, libpng12-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, dh-buildinfo, libjasper-dev, libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool
+Standards-Version: 3.9.3.0
 Homepage: http://www.ecmwf.int/products/data/software/grib_api.html
 Vcs-Git: git://git.debian.org/git/collab-maint/gribapi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gribapi.git
 
-Package: libgrib-api-1.9.9
+Package: libgrib-api-1.9.16
 Section: libs
 Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libgrib-api-data (<< 1.9.0~)
 Breaks: libgrib-api-data (<< 1.9.0~)
-Conflicts: libgrib-api-0d-0, libgrib-api-0d-1
+Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9
 Description: GRIB decoding/encoding software library
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
@@ -25,7 +25,7 @@
 Package: libgrib-api-dev
 Section: libdevel
 Architecture: i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf
-Depends: libgrib-api-1.9.9 (= ${binary:Version}), ${misc:Depends}
+Depends: libgrib-api-1.9.16 (= ${binary:Version}), ${misc:Depends}
 Description: GRIB decoding/encoding software library (development)
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
