## grib-api 1.10.4

=== debian/changelog ===
grib-api (1.10.4-3ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:41:15 +0100

grib-api (1.10.4-3) unstable; urgency=low

  * Back to Arch: any after successful testing on mips and sparc.
    Closes: #529995.

 -- Enrico Zini <enrico@debian.org>  Sun, 25 Aug 2013 01:27:15 +0200

grib-api (1.10.4-2) unstable; urgency=low

  * Conflicts with libgrib-api-1.9.16. Closes: #720010, #720374.

 -- Enrico Zini <enrico@debian.org>  Fri, 23 Aug 2013 12:03:42 +0200

grib-api (1.10.4-1) unstable; urgency=low

  * New upstream version. Closes: #713400.
  * Updated standards-version, no changes required. No point introducing a
    symbols file since upstream sets the soname to the full library version
  * Updated debian/copyright to follow upstream's license change to Apache 2.0

 -- Enrico Zini <enrico@debian.org>  Tue, 13 Aug 2013 11:07:55 +0200

grib-api (1.10.0-1) UNRELEASED; urgency=low

  * Removed patch no-padding-test.diff, fixed upastream.
  * Removed patch fortran.diff, replaced with a different configure invocation
  * Stop using dh-autoreconf, since we do not patch the build system anymore.

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Jan 2013 14:52:30 +0100

grib-api (1.9.18-1) UNRELEASED; urgency=low

  * New Upstream Version.
  * Removed patch paths.diff, accepted upstream.
  * Removed patch grib1to2.diff, accepted upstream.
  * Removed patch second_order.sh.diff, accepted upstream.

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Jan 2013 14:52:30 +0100
