=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,18 @@
 #!/usr/bin/make -f
 
 export CFLAGS += -fPIC
+export AUTOMAKE = automake-1.11
+export ACLOCAL = aclocal-1.11
 
 %:
-	dh --with autoreconf $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	# Disable python modules until we figure out how to build them properly
-	dh_auto_configure -- --with-png-support --disable-python
+	F77=gfortran dh_auto_configure -- --with-png-support --disable-python
 
 override_dh_auto_install:
-	dh_auto_install --with autoreconf
+	dh_auto_install
 	mv debian/tmp/usr/bin/parser debian/tmp/usr/bin/grib_parser
 
 override_dh_auto_clean:
