## grib-api 1.13.1

=== debian/changelog ===
grib-api (1.13.1-1.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Move to version 1.13.1 needed by CDO.
  * Update homepage again.
 
 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Jul 2015 14:11:43 +0100

grib-api (1.12.3-1) experimental; urgency=medium

  * New upstream version
     - grib_api has an official soname now!
  * Updated Homepage. Closes: #746454
    Thanks: Aníbal Monsalve Salazar <anibal@debian.org>
  * Updated Standards-Version, no changes required

 -- Enrico Zini <enrico@debian.org>  Mon, 06 Oct 2014 14:58:41 +0200

grib-api (1.10.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-autoreconf. Closes: #727384.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2014 19:59:49 +0200

grib-api (1.10.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: grib-api - tests fail for mips"
    Patch by Dragoslav Sicarov <Dragoslav.Sicarov@imgtec.com>
    Closes: #733510

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 30 Apr 2014 09:06:53 +0100
