=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Section: libdevel
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-buildinfo, libjasper-dev, libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt, automake, autoconf, libtool, dh-autoreconf, automake1.11
-Standards-Version: 3.9.4.0
-Homepage: http://www.ecmwf.int/products/data/software/grib_api.html
+Build-Depends: debhelper (>= 9), dh-buildinfo, dh-autoreconf, automake1.11,
+  libjasper-dev, libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
+  curl
+Standards-Version: 3.9.6.0
+Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
 Vcs-Git: git://git.debian.org/git/collab-maint/gribapi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gribapi.git
 
-Package: libgrib-api-1.10.4
+Package: libgrib-api0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libgrib-api-data (<< 1.9.0~)
 Breaks: libgrib-api-data (<< 1.9.0~)
-Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16
+Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16, libgrib-api-1.10.4
 Description: GRIB decoding/encoding software library
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
@@ -25,7 +27,7 @@
 Package: libgrib-api-dev
 Section: libdevel
 Architecture: any
-Depends: libgrib-api-1.10.4 (= ${binary:Version}), ${misc:Depends}
+Depends: libgrib-api0 (= ${binary:Version}), ${misc:Depends}
 Description: GRIB decoding/encoding software library (development)
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
