=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_auto_configure:
 	# Disable python modules until we figure out how to build them properly
 	F77=gfortran dh_auto_configure -- --with-png-support --disable-python
+
+override_dh_auto_test:
+	@echo Tests currently disabled to avoid downloading of data
 
 override_dh_auto_install:
 	dh_auto_install
